RetailOrderItem
Retail order item provides access to the item level of the retail/web order resource. This is currently a read only resource when called on its own.
Example of a returned retail order item response
{
"response": {
"Page": 1,
"PageCount": 1,
"RecordsSent": 2,
"RecordsFound": 2,
"RetailOrderItem": [
{
"id": 1,
"Order_id": 1,
"Item_Ref": "",
"Host_Item_Ref": "",
"SKUSize": "A0000001010A",
"Barcode": "",
"Article": "FLORAL 1",
"Colour": "OFF WHITE",
"Size": "S",
"Marketplace_Status": "confirmed",
"Quantity": 2,
"Item_Price": 28.99,
"Line_Total": 57.98,
"VAT_Total": 0,
"RRP": 28.99,
"VAT_Status": false,
"VAT_Rate": 0,
"Despatch_Date": "0000-00-00T00:00:00.000Z",
"Details": null
},
{
"id": 2,
"Order_id": 1,
"Item_Ref": "SHIPPING",
"Host_Item_Ref": "",
"SKUSize": "",
"Barcode": "",
"Article": "Delivery",
"Colour": "",
"Size": "",
"Marketplace_Status": "",
"Quantity": 1,
"Item_Price": 0,
"Line_Total": 0,
"VAT_Total": 0,
"RRP": 0,
"VAT_Status": false,
"VAT_Rate": 0,
"Despatch_Date": "0000-00-00T00:00:00.000Z",
"Details": null
}
]
}
}
RetailOrderItem Properties
| Property | Example | Description | Allowed in POST |
|---|---|---|---|
| id | 3421 | Unique id for the retail order item | No |
| Order_id | 1300 | Order id links the item to the order | No |
| Item_Ref | "SHIPPING" | test | Yes |
| Host_Item_Ref | "XXX001" Marketplace/host reference for the line item | Yes | |
| SKUSize | "" | Code for the product the order item is for | Yes (see note) |
| Barcode | "" | Barcode for the stock item | Yes |
| Article | "Delivery" | Article name | Yes |
| Colour | "" | Colour name | Yes |
| Size | "" | Size code | Yes |
| Marketplace_Status | "DEL" | Status for the line item from external system | No |
| Quantity | 1 | Quantity for the order item | Yes Mandatory |
| Item_Price | 30 | Price the item was sold for | Yes Mandatory |
| Line_Total | 30 | Total value for the line item (Quantity * SalesPrice) | No |
| VAT_Total | 4.92 VAT total for the line | Yes | |
| RRP | 0 | Original RRP from stock for the item (read only) | No |
| VAT_Status | true Indicates the item is vatable | Yes | |
| VAT_Rate | 20 | VAT rate | Yes |
| Despatch_Date | "0000-00-00T00:00:00.000Z" Date item was despatched | No | |
| Details | null | Object containing additional details about the order line | No |
| Status_Sent_To_Host | "0000-00-00T00:00:00.000Z" Date the last status was sent to the marketplace or host | No | |
| Return_Action | "" | Return action | No |
| Return_Reason | "" | Reason for cancellation or return | No |
| Return_Credit | false | test | No |
| Net_Own_Currency | 0 | test | No |
| Picked_Qty | 0 | Quantity picked | No |
| Return_Qty | 0 | Quantity returned | No |
| Parcel_Ref | "" | If set this will be the shipping parcel ref | No |
Retail Order Item Methods
GET /api/retailorderitem?orderhdrrsn=1
Returns all retail order items.
NOTE: When posting in an order the system will try and match the product passed on both SKUSize and Barcode to optimise matching. As SKUSize can contain multiple spaces between colour code and size letter this may provide you with an issue. To work around this you can replace spaces with underscores in the SKUSize field. If you pass back a SKUSize with underscores these will automatically be replaced with spaces for matching purposes.
Q. Why no POST option. A. All items must be sent as part of the retailorder message.